
Core - Feature # 30594

Status: Closed Priority: Should have
Author: Stefan Neufeind Category: Extension Manager
Created: 2011-10-06 Assigned To:
Updated: 2015-01-08 Due date:
PHP Version:
Complexity:
Sprint Focus:
Subject: Allow packages to be signed
Description
This will require changes to:
    -  Extension-archives (allow them to be signed)
        -  either using an external signature (easier to integrate with current packages
        -  or using an internal signature (will require changes to package-format)
    -  Extension-manager (configuration/verification of signatures; optional per repository)
    -  Extension-repository (automatically sign packages uploaded to the official TYPO3-repository)

History
#1 - 2011-10-06 07:17 - Stefan Neufeind

This will help ensure that extensions (from the official repository or from a local repository) are unmodified. This will help validate integrity especially for
the use of unsecure communication (http) or the use of (potentially unreliable) mirror-servers.

#2 - 2014-12-18 12:53 - Mathias Schreiber
- Category set to Extension Manager

#3 - 2015-01-08 14:41 - Mathias Schreiber
- Target version set to 7.3 (Packages)

#4 - 2015-01-08 14:42 - Mathias Schreiber
- Status changed from New to Closed

Taken into account in #63909.
The issues are not linked on purpose, so the refactoring ticket does not get bloated with relations.
